Subject: Re: Alan W Jill
From: "Steve Bamford ARC" <[email-masked]>
To: "hurricane" <[email-masked]>
Date: Wed, 30 Jul 2003 00:55:38 -0700

----- Original Message ----- 
  From: hurricane 
  To: Steve (ARC) 
  Sent: Wednesday, July 30, 2003 12:21 AM
  Subject: Alan W Jill

  Yet Hi Again
  You'll be sick of me by now I would think but can you add this model of a Nakajima B6N2 Jill to the site. Sorry to snow you under with a lot of my kits but since I got the camera I started snapping away at my models all of these model were built within the last couple of years and Ive just been waiting to get some decent pics of them for your site. I still have a few more at this stage but I'll lay off for a while give ya time for the family I want send them all in one heap. Thanks very much Steve.
  Alan Williamson